Type to search.

List packages

Base URL
https://{kibana_url}
  • GET /api/fleet/epm/packages
  • GET /s/{space_id}/api/fleet/epm/packages
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

excludeInstallStatus boolean · default: false

Whether to exclude the install status of each package. Enabling this option will opt in to caching for the response via cache-control headers. If you don't need up-to-date installation info for a package, and are querying for a list of available packages, providing this flag can improve performance substantially.

prerelease boolean · default: false

Whether to return prerelease versions of packages (e.g. beta, rc, preview)

experimental boolean · default: false deprecated
category string

Responses

OK

application/json
items object[] required
description string required
download string required
icons string required
name string required
path string required
savedObject object deprecated
status string required
title string required
type string required
version string required
response object[] deprecated
Same fields as items